# -*- coding: utf-8 -*-
"""
    :author: luffmims
    :url: http://yum2.cc
    :copyright: © 2025 luffmims <luffmims@hotmaill.com>
    :license: MIT, see LICENSE for more details.
"""
import os
import sys

from inventory_check_lark import application

# sqlite URI compatible
WIN = sys.platform.startswith('win')
if WIN:
    prefix = 'sqlite:///'
else:
    prefix = 'sqlite:////'

dev_db = prefix + os.path.join(os.path.dirname(application.root_path), 'data.db')

SQLALCHEMY_TRACK_MODIFICATIONS = False
SQLALCHEMY_DATABASE_URI = os.getenv('DATABASE_URI', dev_db)
SECRET_KEY = os.getenv('SECRET_KEY', 'secret string')

application.config['LARK_APP_ID'] = os.getenv('LARK_APP_ID', 'lark_app_id')
application.config['LARK_APP_SECRECT'] = os.getenv('LARK_APP_SECRECT', 'lark_app_secrect')
application.config['LARK_TB_TOKEN'] = os.getenv('LARK_TB_TOKEN', 'lark_app_secrect')

application.config['WAIMO_ID'] = {
    'table_id': 'tbluSufkcQm0noBz',
    'view_id': 'vewLYvBFns'
}

application.config['YOUXIN_ID'] = {
    'table_id': 'tbl9NPZQMl5IVHQ2',
    'view_id': 'vewrOuK32q'
}

